Bug 251472 - sysutils/vagrant: update to 2.2.14
Summary: sysutils/vagrant: update to 2.2.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://github.com/hashicorp/vagrant/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-29 23:03 UTC by joe
Modified: 2020-12-01 18:32 UTC (History)
1 user (show)

See Also:


Attachments
vagrant 2.2.14 patch (26.16 KB, text/plain)
2020-11-29 23:03 UTC, joe
joe: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2020-11-29 23:03:44 UTC
Created attachment 220086 [details]
vagrant 2.2.14 patch

This patch upgrades Vagrant (and dependencies) to the latest version.

Running the program works for the help screen and version number. I do not presently have a way to start a VM with it, though. If someone would willing test this, it would be awesome!

Thanks,
-Joe
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-30 18:52:02 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Q/A: patch did not apply cleanly. Would you mind checking it?

Q/A: PORTREVISION should be removed


Thanks!
Comment 2 joe 2020-11-30 19:39:12 UTC
What does the patch need to apply against?

I just checked and verified it cleanly applies against the master branch of the Git ports repository.
Comment 3 Fernando Apesteguía freebsd_committer 2020-11-30 21:40:39 UTC
(In reply to joe from comment #2)

In a fresh copy of the ports collection.
$ cd sysutils/vagrant
$ make -vPORTVERSION
2.2.9

But in your patch you are trying to update from 2.0.3:

$ head 251472.patch
diff --git a/sysutils/rubygem-vagrant_cloud/Makefile b/sysutils/rubygem-vagrant_cloud/Makefile
index f3aae0ddad..6a278f6cbb 100644
--- a/sysutils/rubygem-vagrant_cloud/Makefile
+++ b/sysutils/rubygem-vagrant_cloud/Makefile
@@ -1,7 +1,7 @@
 # $FreeBSD$

 PORTNAME=      vagrant_cloud
-PORTVERSION=   2.0.3
+PORTVERSION=   3.0.2
Comment 4 joe 2020-11-30 22:02:03 UTC
Hi,

That patch section shown is for a related gem, elsewhere in tree. The patch should apply from the root of the ports tree, without too much trouble.

-Joe
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-01 17:24:30 UTC
(In reply to joe from comment #4)
Yep, you're right.

I didn't realize the patch updated two ports.
Comment 6 commit-hook freebsd_committer 2020-12-01 18:31:56 UTC
A commit references this bug:

Author: fernape
Date: Tue Dec  1 18:31:07 UTC 2020
New revision: 556780
URL: https://svnweb.freebsd.org/changeset/ports/556780

Log:
  rubygem-vagrant_cloud: update to 3.0.2

  PR:	251472
  Submitted by:	joe@thrallingpenguin.com

Changes:
  head/sysutils/rubygem-vagrant_cloud/Makefile
  head/sysutils/rubygem-vagrant_cloud/distinfo
Comment 7 commit-hook freebsd_committer 2020-12-01 18:31:57 UTC
A commit references this bug:

Author: fernape
Date: Tue Dec  1 18:31:47 UTC 2020
New revision: 556781
URL: https://svnweb.freebsd.org/changeset/ports/556781

Log:
  sysutils/vagrant: update to 2.2.14

  ChangeLog: https://github.com/hashicorp/vagrant/blob/v2.2.14/CHANGELOG.md

  PR:	251472
  Submitted by:	joe@thrallingpenguin.com

Changes:
  head/sysutils/vagrant/Makefile
  head/sysutils/vagrant/distinfo
  head/sysutils/vagrant/files/patch-gemspec
  head/sysutils/vagrant/pkg-plist
Comment 8 Fernando Apesteguía freebsd_committer 2020-12-01 18:32:14 UTC
Committed,

Thanks!